This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 864059 - Unable to set "Legacy" or "Native" USB support from Console options in Power User portal
Unable to set "Legacy" or "Native" USB support from Console options in Power ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Jelinek
Jiri Belka
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 09:24 EDT by Marian Krcmarik
Modified: 2012-12-04 14:59 EST (History)
7 users (show)

See Also:
Fixed In Version: si23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:59:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marian Krcmarik 2012-10-08 09:24:04 EDT
Description of problem:
Unable to choose "Legacy" or "Native" USB support from Consoel options in User portal - Edit VM -> Console -> USB Support, Default value is Disabled, once I choose Legacy or Native and hit OK, Dialog is refreshed but nothing else happen, Dialog is still opened, and after pressing cancel values of course are not changed.
I am a UserVmMnager for this VM. No idea I am allowed to change it If not then disable the Select box.

Version-Release number of selected component (if applicable):
RHEVM si 19.1

How reproducible:
Always

Steps to Reproduce:
1. Go to Edit Desktop machine Tab.
2. Switch to Console Tab and choose Legacy or Native value from select box.
3. Hit OK button.
  
Actual results:
Dialog remains opened and values are not stored.

Expected results:
Dialog should disappear and chosen values should take effect OR notify me what wrong is.

Additional info:
Comment 1 Itamar Heim 2012-10-08 10:05:53 EDT
which cluster level is the VM in?
Comment 2 Marian Krcmarik 2012-10-08 10:07:45 EDT
(In reply to comment #1)
> which cluster level is the VM in?

3.1
Comment 4 Marian Krcmarik 2012-10-09 06:51:19 EDT
Hm The dialog is messed up I cannot even choose more Monitors for VM, once I choose more monitors and hit OK nothing happens, The dialog remains opened.
Comment 6 Michal Skrivanek 2012-10-15 09:08:19 EDT
confirming it doesn't work correctly. The dialog doesn't take into account the settings, both USB sharing and Monitors at least. It's indeed difficult to describe and pictures don't help, just try it:)
Comment 9 Tomas Jelinek 2012-10-16 05:16:55 EDT
ok, this is a bit different issue. It seems that in UP after the edit of the VM, the VM in GUI stays the old one until the next refresh cycle (or manually clicking the refresh button in upper right corner). So it seems that the values are not changed, even they actually are, just not yet visible on the gui.

I will investigate more about this issue.
Comment 10 Tomas Jelinek 2012-10-16 12:18:13 EDT
in gerrit: http://gerrit.ovirt.org/#/c/8610
Comment 11 Tomas Jelinek 2012-10-19 07:34:42 EDT
merged U/S: a3936dad233e967de7c39095e8ed93e3eb0c5908

Note You need to log in before you can comment on or make changes to this bug.